{ flake, ... }:
let
  inherit (flake.config.aesthetics.themes) cursor;
in
{
  cursor = {
    size = cursor.size;
    theme = "catppuccin-macchiato-dark-cursors";
  };

  animations = {
    enable = true;
    config-notification-open-close = {
      spring = {
        damping-ratio = 0.600000;
        epsilon = 0.001000;
        stiffness = 1000;
      };
    };
    horizontal-view-movement = {
      spring = {
        damping-ratio = 1.000000;
        epsilon = 0.000100;
        stiffness = 800;
      };
    };
    window-close = {
      easing = {
        curve = "ease-out-quad";
        duration-ms = 150;
      };
    };
    window-open = {
      spring = {
        damping-ratio = 1.000000;
        epsilon = 0.000100;
        stiffness = 800;
      };
    };
    window-resize = {
      spring = {
        damping-ratio = 1.000000;
        epsilon = 0.000100;
        stiffness = 800;
      };
    };
    workspace-switch = {
      spring = {
        damping-ratio = 1.000000;
        epsilon = 0.000100;
        stiffness = 1000;
      };
    };
  };
}
